summaryrefslogtreecommitdiffstats
path: root/bashrc/bin/copy
diff options
context:
space:
mode:
Diffstat (limited to '')
-rwxr-xr-xbashrc/bin/copy14
1 files changed, 14 insertions, 0 deletions
diff --git a/bashrc/bin/copy b/bashrc/bin/copy
new file mode 100755
index 0000000..0144fe5
--- /dev/null
+++ b/bashrc/bin/copy
@@ -0,0 +1,14 @@
+#!/bin/bash
+
+if [[ -z "$1" ]] ; then
+ echo "Usage:"
+ echo -en "\t"
+ echo "$(basename $0) <files/directories>"
+ exit 1
+fi
+
+# encode files suitable for copy&paste into other terminals
+STR=$(tar cj $@ | base64; exit $PIPESTATUS) || exit $?
+echo "cat << E=O=F | base64 -d | tar xj"
+echo "$STR"
+echo "E=O=F"